## org.h2.test.bench
Class TestPerformance

    java.lang.Object
      org.h2.test.bench.TestPerformance

All Implemented Interfaces:
  Database.DatabaseTest

    public class TestPerformance

extends java.lang.Object
implements Database.DatabaseTest

The main controller class of the benchmark application. To run the benchmark, call the main method of this class.

Constructor Summary
`TestPerformance()`

Method Summary
`boolean` `isCollect()` Whether data needs to be collected.
`static void` `main(java.lang.String... args)` This method is called when executing this sample application.
`void` `trace(java.lang.String msg)` Print a message to system out if trace is enabled.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestPerformance

    public TestPerformance()

Method Detail

### main

    public static void main(java.lang.String... args)
                     throws java.lang.Exception

  This method is called when executing this sample application.

  Parameters:
    `args` - the command line parameters
  Throws:
    `java.lang.Exception`

### trace

    public void trace(java.lang.String msg)

  Description copied from interface: `Database.DatabaseTest`
  Print a message to system out if trace is enabled.

  Specified by:
    `trace` in interface `Database.DatabaseTest`
  Parameters:
    `msg` - the message

### isCollect

    public boolean isCollect()

  Description copied from interface: `Database.DatabaseTest`
  Whether data needs to be collected.

  Specified by:
    `isCollect` in interface `Database.DatabaseTest`
  Returns:
    true if yes